diff --git a/build-all.sh b/build-all.sh
index f83a847dd998aca8940174718dec14b47cc4e5a4..023a90d5944a5f0b742de85921671f52e4483f45 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -29,6 +29,11 @@ mkdir -p $ZEST_RUNTIME/lib64
 mkdir -p $ZEST_RUNTIME/bin
 mkdir -p $ZEST_RUNTIME/sbin
 
+if [ "$(ls -A "$PEDI_HOME" 2> /dev/null)" == "" ]; then
+	echo "pedi submodule is empty. Did you clone using --recursive?";
+	exit 1;
+fi 
+
 if [ ! -f manifest.txt.config -o ! -d "$PS_INSTALL" ]; then
 	mkdir -p "$PS_INSTALL"
 	$PEDI_HOME/pedi --setup -m manifest.txt -l ida -l ida_key -l ps -l zipr -l stars -i $PS_INSTALL
diff --git a/clean-all.sh b/clean-all.sh
index 1bc91ea0199fa12aa938b3814490cc7cf52ee29b..673095943cf6a997847f640cb6a4f66df0ce9d7f 100755
--- a/clean-all.sh
+++ b/clean-all.sh
@@ -10,6 +10,11 @@ if [ "$PEASOUP_UMBRELLA_DIR" != "$FULL_BUILD_LOC" ]; then
     exit 1;
 fi
 
+if [ "$(ls -A "$PEDI_HOME" 2> /dev/null)" == "" ]; then
+        echo "pedi submodule is empty. Did you clone using --recursive?";
+        exit 1;
+fi
+
 use_strata=0
 if [[ $use_strata = 1 ]] ; then
 	# stratafier